Username: Password: Remember me
Search + Advanced
Package Details

darktable 2.4.4-1
http://darktable.sf.net/
Utility to organize and develop raw images

Category: multimedia

Submitter:
Maintainer: None
Votes: 12

License: GPL3

Last Updated: 2018/07/23 - 18:01:12 +0000
First Submitted: 2011/11/01 - 15:01:09 +0000

Tarball :: PKGBUILD

Dependenciescolord colord curl desktop-file-utils exiv2>=0.18 flickcurlgraphicsmagick gtk3 json-glib lcms2 lensfun>=0.2.3 libgphoto2 libsecret libsoup libxslt lua52 openexr pugixmlsqlite3 

Sources

Comment by: tomaggio on Mon, 23 Jul 2018 18:10:20 +0000


hi @vulptex
i build the new version an it run's fine. I fixed the dependency from osm-gps-map. Now it#s an opt dependency. You can adopt the package.
i release the package

Comment by: tomaggio on Mon, 23 Jul 2018 17:57:24 +0000


Hu @chelpo yeah you right this repeated and shoul onlx an optional dependency.

Comment by: vulptex on Tue, 29 May 2018 18:56:08 +0000


Hi,

Latest version is '2.4.3'. Nevertheless, I cannot even successfully install this old version, due to an build error in the optional dependency 'osm-gps-map'. However, I can install the latest version when building it locally, by removing 'osm-gps-map' from the depedencies.

Is somebody still actively maintaining this? Otherwise I will jump in, update the PKGBUILD file and try to resolve the issue with 'osm-gps-map'.

John

Comment by: chelqo on Wed, 25 Apr 2018 15:05:05 +0000


"osm-gps-map" is repeated, please remove from makedepends()

pkgver=2.4.3
sha256sums=('1dc5fc7bd142f4c74a5dd4706ac1dad772dfc7cd5538f033e60e3a08cfed03d3')

Comment by: tomaggio on Thu, 19 Jan 2017 19:37:07 +0000


Salut Stéphane, je prend ca..... 

Comment by: csgib on Sun, 15 Jan 2017 08:12:06 +0000


Hi @tomaggio , il leave this package. You can adopt it.
Thanks

Stéphane

Comment by: tomaggio on Sat, 14 Jan 2017 23:18:07 +0000


hi csgib i succesfully compiled darktable 2.2.1 with ccr and added the package osm osm-gps-map. 

Comment by: Jair_LeBentz on Sun, 05 Jun 2016 09:23:02 +0000


Hi!
last time I try to open Darktablet, it didn't open and when I try per Terminal I get this message:

darktable: error while loading shared libraries: libexiv2.so.13: cannot open shared object file: No such file or directory

Don't know if this is a problem of my pc or a problem of Darkktable
Do you have this problem too?
Thanks!
jairo

Comment by: csgib on Wed, 05 Aug 2015 12:42:48 +0000


Update to 1.6.8 and have no problem to compile

Comment by: Manko10 on Thu, 18 Jun 2015 17:20:43 +0000


Doesn't compile with clang. It fails at the end with

make: Entering directory '/tmp/ccrbuild-1000/darktable/darktable/src/darktable-release-1.6.7/tools/basecurve'
clang++ -O3 -g -Wall -std=c99 -pedantic -D_FORTIFY_SOURCE=2  -c -o exif-wrapper.o exif-wrapper.cpp
error: invalid argument '-std=c99' not allowed with 'C++/ObjC++'
<builtin>: recipe for target 'exif-wrapper.o' failed
make: *** [exif-wrapper.o] Error 1
make: Leaving directory '/tmp/ccrbuild-1000/darktable/darktable/src/darktable-release-1.6.7/tools/basecurve'

Obviously you need to unset the -std=c99 flag for compiling that C++ file.